version: '3'
services:
  client:
    container_name: client
    build: ./client
    ports:
      - '80:80'
    depends_on:
      - server
  server:
    container_name: server
    restart: always
    build: ./server
    depends_on: 
      - mongo
    ports:
      - '3000:3000'
    links:
      - mongo
  mongo:
    container_name: mongo
    image: mongo
    ports:
      - '27017:27017'
